package edu.byuh.cis.jarnaby;

import android.graphics.Rect;

public class Link {
	Path toPath;
	int toPageID;
	int toPageIndex;
	Rect rect;

	public Link(Path path, int index) {
		toPath = path;
		toPageID = -1;
		toPageIndex = index;
	}
	
	/**
	 * private constructor only to be used by static helper method.
	 * @param pageID
	 * @param path
	 */
	private Link(int pageID, Path path) {
		toPath = path;
		toPageID = pageID;
		toPageIndex = -1;
	}
	
	/**
	 * Helper method for use by the XML parser.
	 * @param path
	 * @param pageID
	 * @return
	 */
	public static Link createPartialLink(Path path, int pageID) {
		return new Link(pageID, path);
	}


}
